### Hierarchy

- ContentSwitcherOption

### Implements

- OnInit

## Index

### Inputs

- name
- active

### Outputs

- onClick
- onFocus
- selected

### Constructors

- constructor

### Properties

- _active
- ariaSelected
- hostElement
- name
- onClick
- onFocus
- renderer
- role
- selected
- selectedClass
- switcherClass
- tabindex

### Accessors

- active

### Methods

- doFocus
- hostClick
- ngOnInit

## Constructors

### constructor

- new ContentSwitcherOption(renderer: Renderer2, hostElement: ElementRef): ContentSwitcherOption

- - Defined in src/content-switcher/content-switcher-option.directive.ts:53

  #### Parameters

  - ##### renderer: Renderer2

  - ##### hostElement: ElementRef

  #### Returns ContentSwitcherOption

## Properties

### Protected _active

_active: boolean = false

- Defined in src/content-switcher/content-switcher-option.directive.ts:53

### ariaSelected

@HostBinding({"hostPropertyName":"attr.aria-selected"})
ariaSelected: boolean = false

- Defined in src/content-switcher/content-switcher-option.directive.ts:50

### Private hostElement

hostElement: ElementRef

- Defined in src/content-switcher/content-switcher-option.directive.ts:55

### name

@Input()
name: string = "option"

- Defined in src/content-switcher/content-switcher-option.directive.ts:36

### onClick

@Output()
onClick: EventEmitter<MouseEvent> = new EventEmitter<MouseEvent>()

- Defined in src/content-switcher/content-switcher-option.directive.ts:43

### onFocus

@Output()
onFocus: EventEmitter<FocusEvent> = new EventEmitter<FocusEvent>()

- Defined in src/content-switcher/content-switcher-option.directive.ts:45

### Private renderer

renderer: Renderer2

- Defined in src/content-switcher/content-switcher-option.directive.ts:55

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "tab"

- Defined in src/content-switcher/content-switcher-option.directive.ts:49

### selected

@Output()
selected: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/content-switcher/content-switcher-option.directive.ts:41

### selectedClass

@HostBinding({"hostPropertyName":"class.bx--content-switcher--selected"})
selectedClass: boolean = false

- Defined in src/content-switcher/content-switcher-option.directive.ts:48

### switcherClass

@HostBinding({"hostPropertyName":"class"})
switcherClass: string = "bx--content-switcher-btn"

- Defined in src/content-switcher/content-switcher-option.directive.ts:47

### tabindex

@HostBinding({"hostPropertyName":"attr.tabIndex"})
tabindex: string = "-1"

- Defined in src/content-switcher/content-switcher-option.directive.ts:51

## Accessors

### active

@Input()
active:

- Defined in src/content-switcher/content-switcher-option.directive.ts:20
- Defined in src/content-switcher/content-switcher-option.directive.ts:27

## Methods

### doFocus

@HostListener({"eventName":"focus","args":"[$event]"})

- doFocus(event: FocusEvent): void

- - Defined in src/content-switcher/content-switcher-option.directive.ts:67

  #### Parameters

  - ##### event: FocusEvent

  #### Returns void

### hostClick

@HostListener({"eventName":"click","args":"[$event]"})

- hostClick(event: MouseEvent): void

- - Defined in src/content-switcher/content-switcher-option.directive.ts:58

  #### Parameters

  - ##### event: MouseEvent

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/content-switcher/content-switcher-option.directive.ts:79

  #### Returns void

Generated using TypeDoc